# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See LICENSE for more details.
#
# Copyright: Red Hat Inc. 2017
# Author: Benjamin Berg <bberg@redhat.com>

from avocado.core import settings
import os.path

def get_data_dir():
    # Try relative to this in case it is not properly installed
    _path = os.path.join(os.path.dirname(__file__), '..', 'data')
    if not os.path.isdir(_path):
        _path = settings.settings.get_value('datadir.paths', 'data_dir', 'path')

    return _path
