#!/usr/bin/python2
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# See LICENSE for more details.
#
# Copyright: Red Hat Inc. 2017
# Author: Benjamin Berg <bberg@redhat.com>

from avocado import main
from avocado.core import exceptions
from fed_laptoptest import chameleon

# Do not import Gtk or similar before importing the test class
from fed_laptoptest.test import ChameleonTest, batch
from fed_laptoptest.edid import Edid

import time

class SlowEDID(ChameleonTest):
    """
    .. title:: Slow Monitor Identification (EDID)

    This test uses the chameleon board to test plugging and unplugging monitors
    checking what happens if the EDID for the monitor is not provided right
    away (the monitor will be detected but the no proper EDID is returned).

    This test is currently useless!

    :avocado: enable
    :avocado: tags=chameleon,standalone

    :param delayms: The delay to test
    :param repeat: The number of times to repeat the test.
    :categories: graphics
    """

    @batch
    def test(self):
        """
        Test plugging in with slow edid a number of times.
        """
        # Make ports configurable!
        delayms = self.params.get('delayms', default=50)
        repeat = self.params.get('repeat', default=5)

        self.watch.read_pending()

        for port in self.chameleon.iter_monitors():
            # NOTE: The code is so weird because a kernel bug was reproduced
            #       at some point. This is not the case anymore, but it is
            #       useless otherwise currently.
            for c in xrange(repeat):
                self.chameleon.simulate_slow_edid_plug(port, delayms=delayms)
                #self.chameleon.plug(port)
                #time.sleep(delayms / 1000)

                #time.sleep(1)
                self.watch.read_pending()

                self.chameleon.unplug(port)
                time.sleep(1)
                #self.watch.wait_no_external()


if __name__ == "__main__":
    main()

